//FirstView Component Constructor
function FirstView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView();

	var viewWithTouchstartEvent = Ti.UI.createView({
		top: 0,
		height: 200,
		width: Ti.UI.FILL,
		touchEnabled: false,
		enabled: false,
		bubbleParent: false,
		backgroundColor: "pink"
	});

	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var label = Ti.UI.createLabel({
		color:'#000000',
		text:"Once Views touchEnabled is set to false and then set back to true the touchstart event stops working in the 3.2.0.GA sdk and higher. ",
		height:'auto',
		width:'auto',
		bubbleParent: false
	});
	viewWithTouchstartEvent.add(label);
	self.add(viewWithTouchstartEvent);


	//Add behavior for UI
	viewWithTouchstartEvent.addEventListener('touchstart', function(e) {
		viewWithTouchstartEvent.enabled =  false;
		viewWithTouchstartEvent.touchEnabled = false;
		alert("PINK VIEW CLICKED!! \n touchenabled on pink view set to (viewWithTouchstartEvent.touchEnabled = " 
			+ viewWithTouchstartEvent.touchEnabled+"), enabled="+ viewWithTouchstartEvent.enabled);	
	});

	var enablePinkView = Ti.UI.createButton({
		height: 200,
		width: 200,
		backgroundColor: "Blue",
		left:0
	});

	self.add(enablePinkView);
	enablePinkView.addEventListener("click", function(e){
		viewWithTouchstartEvent.enabled = true;
		viewWithTouchstartEvent.touchEnabled = true;
		alert("touchenabled on pink  view set to (viewWithTouchstartEvent.touchEnabled = " 
			+ viewWithTouchstartEvent.touchEnabled+"), enabled="+ viewWithTouchstartEvent.enabled);
		
	});

	return self;
}

module.exports = FirstView;
